List nodes

View as Markdown

List nodes in a simulation.

Required scope: air:simulation_read (roles: air_org_admin, air_user)

Alternative: role air_trainee also grants access.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

categoryenumOptional
The Air specific category the node belongs to. * `` - None * `SERVER` - Server * `SWITCH` - Switch * `OOB_SERVER` - OOB Management Server * `OOB_SWITCH` - OOB Management Switch
Allowed values:
imagestringOptionalformat: "uuid"

Lookup all nodes for a specific image.

labels__groupstringOptional

Filter by the group label.

labels__modelstringOptional

Filter by the model label.

labels__skustringOptional

Filter by the sku label.

limitintegerOptional
Number of results to return per page.
namestringOptional
offsetintegerOptional
The initial index from which to return the results.
orderingenumOptional

Order objects by field. Prefix with - for descending order.

searchstringOptional

Search by name, image_name, or category.

simulationstringOptionalformat: "uuid"

Lookup all nodes for a specific simulation

stateenumOptional
The state of the node w.r.t. the simulation life cycle. * `INACTIVE` - Inactive * `BOOTING` - Booting * `ACTIVE` - Active * `SHUTTING_DOWN` - Shutting down * `ERROR` - Error * `REBUILDING` - Rebuilding
status_from_workerstringOptional

Response

countinteger
resultslist of objects
nextstring or nullOptionalformat: "uri"
previousstring or nullOptionalformat: "uri"

Errors

400
Bad Request Error
403
Forbidden Error
500
Internal Server Error